Pterodactyldocs
Application A P I

Update location

Updates an existing location by internal numeric ID.

PATCH/api/application/locations/{location_id}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

location_id*integer

The location ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/application/locations/1" \  -H "Content-Type: application/json" \  -d '{    "short": "example"  }'
{  "object": "location",  "attributes": {    "id": 15984,    "short": "eHbH77iS",    "long": "t4KJRY3dIAr1bcIU6bC3lfXrtlpmzZje",    "updated_at": "2026-09-22T14:45:23+00:00",    "created_at": "2026-09-22T14:45:23+00:00"  },  "meta": {    "resource": "https://panel.example.test/api/application/locations/1"  }}